const marshalQueryKey = queryKey => Array.isArray(queryKey) ? queryKey.filter(value => value !== undefined && value !== null).map(subKey => {
  if (subKey instanceof Date) {
    return subKey.toISOString();
  }
  return subKey?.toString();
}).join('.') : queryKey.toString();

export { marshalQueryKey };
